LINUX.ORG.RU

обновления и шероховатости

 ,


0

2

Всё работало нормально, но дёрнул чёрт вчера обновиться.

1) в кедах пропал саспенд (pm-suspend работает нормально);

2) перестала регулироваться яркость экрана кнопками FN+F5/6;

3) ноут субъективно стал больше греться

4) плазма если раньше падала, то поднималась, теперь стала падать замертво

Slackware64-current, kde5 от alienbob.

Подскажите, пожалуйста, куда копать по каждой из проблем?

Deleted

Ерику в блог, желательно в запись в которой обновление кед. Ну или на офф. форум(LQ).

FeyFre ★★★★ ()

но дёрнул чёрт вчера обновиться

Нужны подробности про способ обновления, с чего на что обновлялись, с какого зеркала slackware64, с какого зеркала KDE5? Неплохо б глянуть на

# (cd /var/log/packages/; ls -o {kernel,aaa_base,eudev,ConsoleKit2}-* /boot/vmlinuz )
# uname -r
# lsmod
# echo n | slackpkg -dialog=off clean-system
# echo n | slackpkg -dialog=off install a l x
# echo k | slackpkg -dialog=off new-config
Что за железо?

bormant ★★★★★ ()
Последнее исправление: bormant (всего исправлений: 2)
Ответ на: комментарий от bormant
# cd /var/log/packages/; ls -o {kernel,aaa_base,eudev,ConsoleKit2}-* /boot/vmlinuz
lrwxrwxrwx 1 root      18 апр 27 21:10 /boot/vmlinuz -> vmlinuz-huge-4.4.8
-rw-r--r-- 1 root    3447 ноя 23 10:37 ConsoleKit2-1.0.0-x86_64-3
-rw-r--r-- 1 root    2220 янв  8 13:01 aaa_base-14.2-x86_64-1
-rw-r--r-- 1 root    3494 янв 23 11:35 eudev-3.1.5-x86_64-8
-rw-r--r-- 1 root    1063 янв 23 11:35 eudev-compat32-3.1.5-x86_64-8compat32
-rw-r--r-- 1 root   45841 апр 27 21:10 kernel-firmware-20160401git-noarch-1
-rw-r--r-- 1 root     968 апр 27 21:10 kernel-generic-4.4.8-x86_64-1
-rw-r--r-- 1 root   25085 апр 27 21:10 kernel-headers-4.4.8-x86-1
-rw-r--r-- 1 root     964 апр 27 21:10 kernel-huge-4.4.8-x86_64-1
-rw-r--r-- 1 root  244080 апр 27 21:11 kernel-modules-4.4.8-x86_64-1
-rw-r--r-- 1 root 3349878 апр 27 21:13 kernel-source-4.4.8-noarch-1
# lsmod
Module                  Size  Used by
hid_generic             1551  0
usbhid                 38479  0
hid                   107515  2 hid_generic,usbhid
ipv6                  334857  42
fuse                   83890  7
uvcvideo               76917  0
videobuf2_vmalloc       5260  1 uvcvideo
videobuf2_memops        2011  1 videobuf2_vmalloc
videobuf2_v4l2         19966  1 uvcvideo
videobuf2_core         23238  2 uvcvideo,videobuf2_v4l2
v4l2_common             4447  1 videobuf2_v4l2
videodev              153794  4 uvcvideo,v4l2_common,videobuf2_core,videobuf2_v4l2
ath3k                   9027  0
btusb                  30177  0
btrtl                   4402  1 btusb
btbcm                   7234  1 btusb
btintel                 8007  1 btusb
bluetooth             314134  6 ath3k,btbcm,btrtl,btusb,btintel
rtsx_pci_sdmmc         10996  0
mmc_core              106528  1 rtsx_pci_sdmmc
snd_hda_codec_hdmi     39331  1
i2c_dev                 6188  0
rtsx_pci_ms             5668  0
joydev                 10496  0
memstick                9189  1 rtsx_pci_ms
asus_nb_wmi            11872  0
mxm_wmi                 2049  0
asus_wmi               19229  1 asus_nb_wmi
sparse_keymap           4048  1 asus_wmi
ath9k                 103745  0
ath9k_common           26604  1 ath9k
coretemp                6780  0
ath9k_hw              436750  2 ath9k_common,ath9k
hwmon                   4199  2 coretemp,asus_wmi
intel_rapl             11044  0
iosf_mbi                3821  1 intel_rapl
x86_pkg_temp_thermal     5609  0
intel_powerclamp        8914  0
ath                    21042  3 ath9k_common,ath9k,ath9k_hw
mac80211              609190  1 ath9k
kvm_intel             160123  0
i915                 1172104  11
kvm                   501356  1 kvm_intel
cfg80211              524168  4 ath,ath9k_common,ath9k,mac80211
rfkill                 18649  4 cfg80211,bluetooth,asus_wmi
irqbypass               3519  1 kvm
crct10dif_pclmul        5461  0
crc32_pclmul            3238  0
drm_kms_helper        118580  1 i915
drm                   322472  12 i915,drm_kms_helper
r8169                  72999  0
snd_hda_codec_realtek    70326  1
crc32c_intel           13564  0
rtsx_pci               36348  2 rtsx_pci_ms,rtsx_pci_sdmmc
efi_pstore              4965  0
mii                     5143  1 r8169
snd_hda_codec_generic    61125  1 snd_hda_codec_realtek
psmouse               110844  0
intel_gtt              13810  1 i915
agpgart                31796  2 drm,intel_gtt
mei_me                 18563  0
efivars                 8413  1 efi_pstore
evdev                  13220  23
mei                    62243  1 mei_me
i2c_i801               16204  0
thermal                10076  0
serio_raw               5146  0
i2c_algo_bit            5962  1 i915
fb_sys_fops             1730  1 drm_kms_helper
syscopyarea             3458  1 drm_kms_helper
sysfillrect             3950  1 drm_kms_helper
fjes                   21479  0
snd_hda_intel          29083  5
video                  27709  2 i915,asus_wmi
snd_hda_codec         108205  4 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_intel
xhci_pci                4873  0
xhci_hcd              116606  1 xhci_pci
sysimgblt               2608  1 drm_kms_helper
ehci_pci                4285  0
i2c_core               47925  8 drm,i915,i2c_i801,i2c_dev,drm_kms_helper,i2c_algo_bit,v4l2_common,videodev
snd_hda_core           52306  5 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_codec,snd_hda_intel
battery                13400  0
ehci_hcd               44114  1 ehci_pci
wmi                     9259  2 mxm_wmi,asus_wmi
shpchp                 26296  0
snd_hwdep               6656  1 snd_hda_codec
snd_pcm                92738  5 snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel,snd_hda_core
snd_timer              21853  1 snd_pcm
snd                    68877  16 snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_pcm,snd_hda_codec_generic,snd_hda_codec,snd_hda_intel
ac                      5248  0
lpc_ich                14738  0
soundcore               6876  1 snd
button                  5722  1 i915
tpm_tis                11588  0
tpm                    35481  1 tpm_tis
processor              26834  0
loop                   21270  0
Deleted ()
Ответ на: комментарий от Deleted
# echo n | slackpkg -dialog=off clean-system

Looking for packages to remove. Please wait... DONE

CImg-1.6.4-noarch-1_SBo
ConsoleKit-0.4.5-x86_64-1
alsa-tools-1.0.29-x86_64-1_SBo
bamf-0.5.1-x86_64-2_SBo
blas-3.6.0-x86_64-1_SBo
bluez-hcidump-2.5-x86_64-1
chromaprint-1.2-x86_64-1_SBo
cxxlibs-6.0.18-x86_64-1
deadbeef-0.7.0-x86_64-1
docutils-0.12-x86_64-1_SBo
evince-3.12.2-x86_64-1_SBo
foomatic-filters-4.0.17-x86_64-1
fpc-2.6.4-x86_64-1_SBo
fvwm-crystal-3.4.1-x86_64-1_SBo
gmtp-1.3.9-x86_64-1_SBo
gnome-common-3.14.0-noarch-1_SBo
gnome-icon-theme-3.8.3-x86_64-1
googleearth-7.1.2.2041-i386-2sl
gst-ffmpeg-0.10.13-x86_64-2_SBo
gtk-chtheme-0.3.1-x86_64-3_SBo
gtk-engines-2.20.2-x86_64-3_SBo
gtk-engines-unico-1.0.2-x86_64-1_SBo
gtk-gnutella-1.1.8-x86_64-1_SBo
gtksourceview-2.10.5-x86_64-1_SBo
icoutils-0.31.0-x86_64-1_SBo
imlib-1.9.15-x86_64-7
jack-audio-connection-kit-0.124.1-x86_64-1_SBo
lapack-3.6.0-x86_64-1_SBo
lesstif-0.95.2-x86_64-1
libass-0.12.1-x86_64-1_SBo
libdbusmenu-12.10.2-x86_64-1_SBo
libechonest-2.3.0-x86_64-1_SBo
libelf-0.8.13-x86_64-2
libgee-0.16.1-x86_64-1_SBo
libgtop-2.28.5-x86_64-1_SBo
libjpeg-v8a-x86_64-1
libtxc_dxtn-1.0.1-x86_64-1_SBo
libwnck3-3.4.9-x86_64-1_SBo
libxfcegui4-4.10.0-x86_64-2
lyx-2.1.4-x86_64-1_SBo
mjpegtools-2.1.0-x86_64-1_SBo
mpv-0.10.0-x86_64-1_SBo
mtpfs-1.1-x86_64-1_SBo
murrine-0.98.2-x86_64-1_SBo
murrine-themes-0.98.10-noarch-1_SBo
obex-data-server-0.4.6-x86_64-3
obexfs-0.12-x86_64-1
octave-4.0.0-x86_64-1_SBo
open-cobol-1.1-x86_64-2
phonon-mplayer-1b1fd1f_20110823git-x86_64-1
phonon-xine-4.4.4-x86_64-1
php-imagick-3.1.2-x86_64-2_SBo
pidgin-sipe-1.13.3-x86_64-2_SBo
pil-1.1.7-x86_64-4
plank-0.10.1-x86_64-1_SBo
playonlinux-4.2.5-noarch-1_SBo
portmap-6.0-x86_64-1
procps-3.2.8-x86_64-4
pygtksourceview-2.10.1-x86_64-1_SBo
pysetuptools-18.2-x86_64-1_SBo
python-gflags-2.0-x86_64-1_SBo
pytz-2014.10-x86_64-1_SBo
qca-cyrus-sasl-2.0.0_beta3-x86_64-2
qca-gnupg-2.0.0_beta3-x86_64-1
qca-ossl-2.0.0_beta3-x86_64-2
qconf-1.4-i486-1_elemc
rar-5.3.b6-x86_64-1_SBo
sbopkg-0.37.1-noarch-1_wsr
scribus-1.4.3-x86_64-1alien
simple-scan-2.32.0.2-x86_64-1_SBo
six-1.10.0-x86_64-1_SBo
spotify64-0.9.17.8.gd06432d.31-x86_64-2_SBo
src2pkg-3.0-noarch-2
src2pkg-helpers-1.6-x86_64-1
steam-1.0.0.50-x86_64-1_SBo
texi2html-5.0-x86_64-1_SBo
thunar-archive-plugin-0.3.1-x86_64-1_SBo
transmission-2.84-x86_64-3_SBo
udev-182-x86_64-7
vala-0.26.2-x86_64-1_SBo
volumeicon-0.5.1-x86_64-1_SBo
wv-1.2.9-x86_64-1_SBo
wxPython-2.8.12.1-x86_64-2_SBo
wxcam-1.1-x86_64-1_SBo
x265-1.8-x86_64-1_SBo
xchat-2.8.8-x86_64-11
xf86-input-aiptek-1.4.1-x86_64-8
xf86-video-modesetting-0.9.0-x86_64-5
xsane-compat32-0.999-x86_64-1compat32
yandex-disk-0.1.5.948-1.fedora.x86_64

Total package(s): 90
# echo n | slackpkg -dialog=off install a l x

Looking for a l x in package list. Please wait... DONE

[ Repository               ] [ Package                                  ]
  multilib                     xz-compat32-5.2.2-x86_64-1compat32.txz    
  slackware64                  QScintilla-2.9.1-x86_64-1.txz             
  multilib                     alsa-plugins-compat32-1.1.1-x86_64-1compat32.txz  
  multilib                     fftw-compat32-3.3.4-x86_64-1compat32.txz  
  multilib                     json-c-compat32-0.12-x86_64-1compat32.txz  
  multilib                     libasyncns-compat32-0.8-x86_64-1compat32.txz  
  multilib                     libnotify-compat32-0.7.6-x86_64-1compat32.txz  
  multilib                     pulseaudio-compat32-8.0-x86_64-1compat32.txz  
  multilib                     sbc-compat32-1.3-x86_64-1compat32.txz     
  multilib                     speexdsp-compat32-1.2rc3-x86_64-1compat32.txz  
  multilib                     libvdpau-compat32-1.1.1-x86_64-1compat32.txz  

Total package(s): 11

# echo k | slackpkg -dialog=off new-config Не выдал ничего.

Deleted ()
Ответ на: комментарий от Deleted

slackpkgplus.cfg:

ALLOW32BIT=off
USEBL=1
GREYLIST=on
SHOWORDER=package
PKGS_PRIORITY=( multilib ktown )
TAG_PRIORITY=off
REPOPLUS=( slackpkgplus ktown alienbob )
MIRRORPLUS['slackpkgplus']=http://slakfinder.org/slackpkg /
MIRRORPLUS['multilib']=http://taper.alienbase.nl/mirrors/people/alien/multilib/current/
MIRRORPLUS['ktown']=http://taper.alienbase.nl/mirrors/alien-kde/current/5/x86_64/
MIRRORPLUS['alienbob']=http://taper.alienbase.nl/mirrors/people/alien/sbrepos/current/x86_64/
Deleted ()
Ответ на: комментарий от Deleted

Для начала неплохо было бы прибраться. Если посмотреть в ChangeLog.txt, то увидим, что многих с нами уже нет:

l/ConsoleKit-0.4.5-x86_64-1.txz:  Removed.
l/ConsoleKit2-1.0.0-x86_64-1.txz:  Added.
  This replaces the ConsoleKit package.
  Thanks to Eric Hameleers and Robby Workman.
l/gnome-icon-theme-3.8.3-x86_64-1.txz:  Removed.
  This has been replaced by the adwaita-icon-theme package.
n/bluez-hcidump-2.5-x86_64-1.txz:  Removed.
  hcidump is included in the main bluez package.
  Thanks to Audrius Kazukauskas.
a/cxxlibs-6.0.18-x86_64-1.txz:  Removed.
ap/foomatic-filters-4.0.17-x86_64-1.txz:  Removed.
  The cups-filters package contains these programs.
l/gnome-icon-theme-3.8.3-x86_64-1.txz:  Removed.
  This has been replaced by the adwaita-icon-theme package.
l/imlib-1.9.15-x86_64-7.txz:  Removed.
l/lesstif-0.95.2-x86_64-1.txz:  Removed.
  LessTif is making way for real Motif.
  Thanks to the Hungry Programmers for a great run.  :-)
l/libelf-0.8.13-x86_64-5.txz:  Removed.
l/libjpeg-v8a-x86_64-2.txz:  Removed.
l/libjpeg-turbo-1.4.0-x86_64-1.txz:  Added.
xfce/libxfcegui4-4.10.0-x86_64-2.txz:  Removed.
n/obex-data-server-0.4.6-x86_64-3.txz:  Removed.
n/obexfs-0.12-x86_64-1.txz:  Removed.
  This functionality is now included in the obexftp package.
d/open-cobol-1.1-x86_64-2.txz:  Removed.
  This project has been renamed GNU Cobol.
l/phonon-mplayer-1b1fd1f_20110823git-x86_64-1.txz:  Removed.
l/phonon-xine-4.4.4-x86_64-1.txz:  Removed.
l/pil-1.1.7-x86_64-4.txz:  Removed.
n/portmap-6.0-x86_64-1.txz:  Removed.
  This is replaced by the new libtirpc and rpcbind packages.
a/procps-3.2.8-x86_64-4.txz:  Removed.
a/procps-ng-3.3.10-x86_64-1.txz:  Added.
  Thanks to Larry Hajali for the initial SlackBuild diff.
l/qca-cyrus-sasl-2.0.0_beta3-x86_64-2.txz:  Removed.
l/qca-gnupg-2.0.0_beta3-x86_64-1.txz:  Removed.
l/qca-ossl-2.0.0_beta3-x86_64-3.txz:  Removed.
a/udev-182-x86_64-7.txz:  Removed.
  This is replaced by the eudev and libgudev packages.
xap/xchat-2.8.8-x86_64-11.txz:  Removed.
xap/hexchat-2.10.2-x86_64-1.txz:  Added.
  This package replaces xchat.
x/xf86-input-aiptek-1.4.1-x86_64-8.txz:  Removed.
  This driver is unmaintained and no longer compiles.
x/xf86-video-modesetting-0.9.0-x86_64-5.txz:  Removed.
  This driver has been incorporated into the xorg-server package.
  Thanks to ReaperX.
Поскольку ничего критичного мы установить не забыли (об этом нам рассказал slackpkg install a l x) можем смело прибраться:
# removepkg \
ConsoleKit bluez-hcidump cxxlibs foomatic-filters gnome-icon-theme imlib \
lesstif libelf libjpeg libxfcegui4 obex-data-server obexfs open-cobol \
phonon-mplayer phonon-xine pil portmap procps qca-cyrus-sasl qca-gnupg \
qca-ossl udev xchat xf86-input-aiptek xf86-video-modesetting 
Сильно подгаживать могут ConsoleKit и udev.

bormant ★★★★★ ()
Последнее исправление: bormant (всего исправлений: 1)

Сперва перегружаемся и смотрим на ситуацию после удаления udev и ConsoleKit.

Далее.
В списке модулей ничего не увидел про nvidia/nueveau, карта отключена в BIOS-е?
Если нет, без драйвера она жрет как не в себя, отсюда нагрев.

На потребителей можно посмотреть в
# powertop

Про экономию CPU можно глянуть там:
http://docs.slackware.com/howtos:hardware:cpu_frequency_scaling


Вечерком посмотрю с кедами.

bormant ★★★★★ ()
Ответ на: комментарий от bormant

Как оказалось, обновился конфиг elilo, в результате пропала опция «acpi_osi=». После того, как вернул её обратно подсветка регулируется нормально.

Оптимус был настроен скриптом crazybee. Запустил его снова, он собрал необходимые модули для ядра и nvidia благополучно отключилась. Правда optirun и primusrun при пользовании этим скриптом не работают, говорят, что доступ к видеокарте запрещён. nvidia-settings тоже не запускается, жалуясь на нехватку *gtk3* библиотек. С опцией --use-gtk2 тоже не запускается, жалуясь уже на *gtk2*. Но это терпимо, ибо не нужна она [дискретная карта] в повседневной работе.

Deleted ()
Ответ на: комментарий от Deleted

Ммм, не знаю даже что у тебя, не так давно машину с 5кедами обновлял все прошло нормально, может что нового в реп прилетело конечно и всегда когда обновлялся смотрел на ChangeLog в репе кед и в блоге Alien'а мало ли что там, вот н-р: http://slackware.uk/people/alien-kde/current/testing/README

If you still have a KDE 4 installed, it must be removed first. No clean
upgrade path can be provided!  Do as follows:

If you have Slackware-current's default KDE 4.14.3 installed:
  # removepkg /var/log/packages/*-4.14.3-*
  # removepkg libkscreen
  # removepkg kscreen
  # removepkg kactivities
  # removepkg kde-workspace
  # removepkg libmm-qt
  # removepkg libnm-qt
  # removepkg plasma-nm
  # removepkg polkit-kde-agent-1
  # removepkg polkit-kde-kcmodules-1
  # removepkg kdeconnect-kde
  ..or instead of the above, simply '# slackpkg remove kde' and de-select
  the packages you want to keep (calligra, skanlite etc).

If you have my 'ktown' set of KDE 5_16.03 installed:
- Upgrade to KDE 5_16.04
  Remove the packages that no longer exist in KDE 5_16.04:
  * removepkg kactivities-workspace
...
и т.д.

ты это проделал?

Оптимус был настроен скриптом crazybee

у меня то же как раз на той машине на которой current и kde5, я забил уже конечно на *bee* и в обще только intel пользоваться стал, но раньше когда ставил, то собирал по вот этому https://github.com/WhiteWolf1776/Bumblebee-SlackBuilds

MIRRORPLUS['ktown']=http://taper.alienbase.nl/

я бы посоветовал бы с bear обновляться http://alien.slackbook.org/blog/bear-is-live/
или же с http://slackware.uk/people/alien-kde/current/testing/
но это так, на всякий случай

И самый главный вопрос: как, через что, какими командами обновлялся?

Мне в свое время bormant посоветовал способ обновления и он реально работает
Slackware current 14.1+, потестим, порепортим... (комментарий)
только так обновляюсь, попробуй обновиться так же, может все разрулится:

# slackpkg update
# slackpkg install slackware
# slackpkg install ktown
# slackpkg upgrade-all
# slackpkg clean-system

NK ★★★★★ ()
Ответ на: комментарий от NK

Я пятые кеды ставил поверх системы с хфсе, т.е. с нуля, можно сказать.

Обновлялся через slackpkg.

# # slackpkg update
# slackpkg install-new
# slackpkg upgrade-all
Deleted ()
Ответ на: комментарий от Deleted

Как я понимаю, приоритет обновлений в конфиге уже выставлен у меня. До этого всё гладко проходило.

Deleted ()
Ответ на: комментарий от Deleted

а ставил по README http://bear.alienbase.nl/mirrors/alien-kde/current/testing/ ?

  # upgradepkg --reinstall --install-new x86_64/deps/*.t?z
  # upgradepkg --reinstall --install-new x86_64/deps/telepathy/*.t?z
  # upgradepkg --reinstall --install-new x86_64/kde/*/*.t?z
  # upgradepkg --reinstall --install-new x86_64/kdei/kde-l10n-ru-*.t?z

ставил поверх системы с хфсе

если посмотреть тот же README, там нет такого способа, зато есть If you have Slackware-current's default KDE 4.14.3 installed:, так что лучше было бы поставить систему с KDE , которые идут , а потом подчистить, ну и по этому ты наверно все и убил

приоритет обновлений в конфиге уже выставлен у меня

приоритет выставлен правильно, я бы еще так сделал бы (на всякий), если кедами5 пользоваться будешь:
PKGS_PRIORITY=( ktown multilib ) , мало ли что там

ставил поверх системы

ставил как? В общем, ставь по README, там рсинкни реп и все делай как там расписано

!Предполагаю, что с # slackpkg install ktown ты разрулишь свою проблему

NK ★★★★★ ()
Последнее исправление: NK (всего исправлений: 1)
Ответ на: комментарий от NK

ставил поверх системы с хфсе

если посмотреть тот же README, там нет такого способа

На самом деле xfce не причем.
Основной посыл:
 — если нет KDE4, нужно будет оттуда поставить кое-что нужное по списку;
 — если есть, нужно снести, оставив нужное по тому же списку, плюс починить '/etc/X11/xinit/xinitrc' (проще всего — по xwmconfig).

# slackpkg install ktown
Это доустановит пакеты из ktown, отсутствующие в системе.

Но если есть повреждения файлов уже установленных пакетов, на них это никак не повлияет. Эту ситуацию легко выявить по контрольным суммам, см. MANIFEST.bz2 в корне хранилища,
# cd /; bzcat /tmp/MANIFEST.bz2 | md5sum -c

Если битые файлы обнаружатся, их пакеты можно переустановить по
# slackpkg reinstall список битых пакетов

bormant ★★★★★ ()
Последнее исправление: bormant (всего исправлений: 3)
Ответ на: комментарий от bormant

# slackpkg install ktown

Это доустановит пакеты из ktown, отсутствующие в системе.

Поставилось порядка 15-20 пакетов, но саспенд не появился. =(

# cd /; bzcat /tmp/MANIFEST.bz2 | md5sum -c

Говорит, что нет файла MANIFEST.bz2.

Deleted ()
Ответ на: комментарий от NK

а ставил по README http://bear.alienbase.nl/mirrors/alien-kde/current/testing/ ?

Да. Насколько я понимаю, в репозитории есть необходимые пакеты из kde4. По крайней мере до этого обновления всё прекрасно работало и предыдущие обновы ставились гладко.

Deleted ()
Ответ на: комментарий от bormant

Положил указанный MANIFEST.bz2 в /tmp, теперь

# cd /; bzcat /tmp/MANIFEST.bz2 | md5sum -c
md5sum: 'стандартный ввод': не найдено верно составленных строк контрольных сумм MD5

Deleted ()
Ответ на: комментарий от Deleted

не, не пойдет, это я что-то тормознул, там общий список (ls -lR), без контрольных сумм. Если нужно могу файл с суммами для проверки сделать (rsync дерева, проверка пакетов по контрольным суммам, распаковка пакетов во временный каталог, find + md5sum).

Нужно для x86_64, правильно понимаю?

PS. У меня x86_64 работает вполне стабильно, включая гибернацию, а вот x86 — та действительно падает, руки пока не дошли глянуть, что тому виной, криво обновился (и-нет при обновлении действительно подглючивал) или что-то недосмотрел.

Есть какая-то последовательность действий, стабильно приводящая к падению?

bormant ★★★★★ ()
Последнее исправление: bormant (всего исправлений: 2)
Ответ на: комментарий от bormant

Нужно для x86_64, правильно понимаю?

Да.

Есть какая-то последовательность действий, стабильно приводящая к падению?

Нынешние кеды перестали падать после установки проприетарных дров нвидиа и бамблби, видимо из-за nouveau падали.

Deleted ()

Ещё одна вещь, которая стала раздражать в связи с тем, что часто включаю и выключаю теперь компьютер - перестал автоматически подключаться к wi-fi, хотя в настройках стоит галочка. Пробовал удалять подключение и добавлять снова - безрезультатно.

Deleted ()
Ответ на: комментарий от Deleted

Эта проблема появилась тоже после этого злосчастного обновления.

Deleted ()
Ответ на: комментарий от Deleted

С обновлением24.04.2016 пришел NetworkManager 1.2.0. На LQ писали, что для автосоединения необходима галка «Разрешить подключение всем пользователям».
Помогает?

bormant ★★★★★ ()
Последнее исправление: bormant (всего исправлений: 1)
Ответ на: комментарий от Deleted

Кстати, подумалось тут — пакет является архивом tar, tar умеет сверять содержимое архива и диска, поэтому контроль целостности может быть выполнен попакетно посредством tar:

tar -C/ -df файл_пакета
На сообщения, начинающиеся с «tar: install» внимания не обращать, они про служебный каталог с метаданными пакета. Для массовой проверки можно воспользоваться find:
find /tmp/ktown/5/x86_64 -name \*.t?z -exec tar -C/ -df '{}' \;

bormant ★★★★★ ()
Ответ на: комментарий от Deleted

после

slackpkg reinstall kde
несовпадений стало меньше, но всё равно есть.

Deleted ()
Ответ на: комментарий от Deleted

перестал автоматически подключаться к wi-fi, хотя в настройках стоит галочка

В нынешнем логе:

Thu May 12 01:50:21 UTC 2016
n/NetworkManager-1.2.2-x86_64-1.txz:  Upgraded.
xap/network-manager-applet-1.2.2-x86_64-1.txz:  Upgraded.

Есть смысл обновиться и посмотреть, не починили ли...

bormant ★★★★★ ()
Последнее исправление: bormant (всего исправлений: 1)

NM с обновой починился. Вчера обновились и кеды. Саспенд так и не работает.

Deleted ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.